<?php
/**
 * $Horde: dimp/templates/chunks/fullmessage.php,v 1.56 2007/07/24 06:02:33 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */
?>
<div id="pageContainer">
 <div id="msglistplacer" class="msglistplacer">
  <div class="header">
   <div id="headercloseimg"><?php echo Horde::img('close.png', 'X', array('onclick' => 'window.close()'), $registry->getImageDir('horde')) ?></a></div>
   <div><?php echo _("Message:") . ' ' . $subject ?></div>
  </div>

  <div id="dimpActions">
   <span><?php echo DIMP::actionButton('#', _("_Reply"), '', 'reply.png', 'quickreply(\'reply\');return false;', 'reply_link', 'hasmenu') ?></span>
   <span><?php echo DIMP::actionButton('#', _("_Forward"), '', 'forward.png', 'quickreply(\'' . $prefs->getValue('forward_default') . '\');return false;', 'forward_link', 'hasmenu') ?></span>
<?php if (!empty($conf['spam']['reporting'])): ?>
   <span><?php echo DIMP::actionButton('#', _("Report Spam"), '', 'spam.png', 'baseWindow.DimpCore.flag(\'spam\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
<?php endif; ?>
<?php if (!empty($conf['notspam']['reporting'])): ?>
   <span><?php echo DIMP::actionButton('#', _("Report Innocent"), '', 'ham.png', 'baseWindow.DimpCore.flag(\'ham\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
<?php endif; ?>
   <span class="lastnavbar"><?php echo DIMP::actionButton('#', _("_Delete"), '', 'delete.png', 'baseWindow.DimpCore.flag(\'deleted\', ' . $index . ', \'' . $folder . '\');window.close();return false;') ?></span>
  </div>

  <div class="msgfullread">
   <?php echo $msg_text; ?>
  </div>
 </div>

 <div id="qreply" style="display:none;">
  <div class="header">
   <div><?php echo _("Message:") . ' ' . $subject ?></div>
  </div>
  <?php echo $compose_text; ?>
 </div>
</div>

<div class="context" id="ctx_replypopdown">
 <div><?php echo DIMP::actionButton('#', _("To Sender"), '', '', 'quickreply(\'reply\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("To All"), '', '', 'quickreply(\'reply_all\');') ?></div>
</div>

<div class="context" id="ctx_fwdpopdown">
 <div><?php echo DIMP::actionButton('#', _("Entire Message"), '', '', 'quickreply(\'forwardall\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("Body Text Only"), '', '', 'quickreply(\'forwardbody\');') ?></div>
 <div><?php echo DIMP::actionButton('#', _("Attachments Only"), '', '', 'quickreply(\'forwardattachments\');') ?></div>
</div>

<div id="popdown_img" style="display:none;">
 <?php echo Horde::img('popdown.png', 'v', array('class' => 'popdown'), $registry->getImageDir('dimp')) ?>
</div>
